Skip to main content
PATCH
/
api
/
v0
/
repositories
/
{repo_id}
/
files
/
{path_prefix}
Update the metadata of files from a given repository based on the provided path prefix.
curl --request PATCH \
  --url https://api.example.com/api/v0/repositories/{repo_id}/files/{path_prefix} \
  --header 'Content-Type: application/json' \
  --data '
{
  "inScope": true
}
'
{
  "msg": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required
path_prefix
string
required

Body

application/json

Update the metadata of one or multiple files.

inScope
boolean | null

True if the file is considered in scope for reporting finding.

Response

File metadata updated